Show / Hide Table of Contents

# Class Encoder

##### Inheritance

Object
Encoder

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http2.Hpack

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class Encoder

### Constructors

| Improve this Doc View Source

#### Encoder(Int32)

Initializes a new instance of the Encoder class.

##### Declaration

    public Encoder(int maxHeaderTableSize)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | maxHeaderTableSize | Max header table size.

### Properties

| Improve this Doc View Source

#### MaxHeaderTableSize

Gets the the maximum table size.

##### Declaration

    public int MaxHeaderTableSize { get; }

##### Property Value

Type | Description
--- | ---
Int32 | The max header table size.

### Methods

| Improve this Doc View Source

#### EncodeHeader(BinaryWriter, String, String, Boolean)

Encode the header field into the header block.

##### Declaration

    public void EncodeHeader(BinaryWriter output, string name, string value, bool sensitive = false)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryWriter | output | Output.
String | name | Name.
String | value | Value.
Boolean | sensitive | If set to `true` sensitive.

| Improve this Doc View Source

#### SetMaxHeaderTableSize(BinaryWriter, Int32)

Set the maximum table size.

##### Declaration

    public void SetMaxHeaderTableSize(BinaryWriter output, int maxHeaderTableSize)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryWriter | output | Output.
Int32 | maxHeaderTableSize | Max header table size.